
Figure - Bug #114656
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT】【应用】应用权限修改后，返回上层目录，其权限显示不会实时刷新修改
2022-12-16 17:47 - 物联网测试组_CDTS 段小刚

Status: CLOSED Start date: 2022-12-16

Priority: Normal Due date:

Assignee: 物联网测试组_CDTS 段小刚 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0058.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0061.X101

Reproducibility: Every time Fixed Version: 2022-12-20

Test Type: IT Root cause: 应用权限设置详情内，切换开关状态后，没有及时同步上级列表导致。

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开设置——> 应用——>特殊应用权限——>所有文件访问权

2、选择一个应用 点击

3、 点击 应用信息里的 ”赋予所有文件权限管理“的按钮

4、返回上一层，查看该应用权限

【预期结果】

4、权限已改变

【实际结果】

4、没有改变

【复现率】

3/3

History

#1 - 2022-12-16 17:48 - 物联网测试组_CDTS 段小刚

- Test Type changed from IOT to IT

#2 - 2022-12-16 17:49 - 物联网测试组_CDTS 段小刚

- Need_Info changed from TEST to --

#3 - 2022-12-19 15:58 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

171072 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix app perimission state sync problem.TC-RID: 1201-0201802IssueID: TS-R-BUG-114656Change-Id:
If0bd0b3d397c0a0dd13b1d1976f8430e20640ff8

#4 - 2022-12-19 16:14 - CD FW-廖涛

- Status changed from New to RESOLVED

- Assignee changed from CD FW-廖涛 to 物联网测试组_CDTS 段小刚

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2022-12-20

- Root cause set to 应用权限设置详情内，切换开关状态后，没有及时同步上级列表导致。

■ Current conclusion

已处理，提交：https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/171072

■ My analysis

应用权限设置详情内，切换开关状态后，没有及时同步上级列表导致。

■ Next action

测试验证。

#5 - 2022-12-22 10:30 - 物联网测试组_CDTS 段小刚

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0061.X101

验证版本：12-22的release版本

验证结果：应用下的 “所有文件访问权”可以实时刷新权限

#6 - 2022-12-22 10:31 - 物联网测试组_CDTS 段小刚

- Status changed from VERIFIED to CLOSED
